Bug 228888 - news/nzbget: update to 20.0
Summary: news/nzbget: update to 20.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-11 12:20 UTC by Ralf van der Enden
Modified: 2018-10-04 15:48 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (toxic)


Attachments
Update to NZBget 20.0 (1.77 KB, patch)
2018-06-11 12:20 UTC, Ralf van der Enden
tremere: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2018-06-11 12:20:06 UTC
Created attachment 194163 [details]
Update to NZBget 20.0

Changelog: https://nzbget.net/history-latest

Poudriere buildlog: https://pkg.cainites.net/data/freebsd_11x64-system/2018-06-11_14h18m34s/logs/nzbget-20.0.log
Comment 1 Mark Felder freebsd_committer 2018-06-12 02:06:34 UTC
This will create broken packages for some people because now they autodetect your CPU and apply SSE2/SSE3/NEON/etc optimizations. We need a port option to manage it. I have a port patch in progress.
Comment 2 Mark Felder freebsd_committer 2018-06-15 12:37:23 UTC
Patch available here:

https://reviews.freebsd.org/D15822
Comment 3 Mark Felder freebsd_committer 2018-07-19 17:37:11 UTC
Review here:

https://reviews.freebsd.org/D16352
Comment 4 Mark Felder freebsd_committer 2018-07-19 17:37:34 UTC
Wrong PR, sorry. :)
Comment 5 commit-hook freebsd_committer 2018-10-04 15:15:05 UTC
A commit references this bug:

Author: feld
Date: Thu Oct  4 15:14:10 UTC 2018
New revision: 481227
URL: https://svnweb.freebsd.org/changeset/ports/481227

Log:
  news/nzbget: Update to 20.0

  - Add patches to disable building with optimized CFLAGS by default

  PR:		228888
  Approved by:	maintainer (timeout)
  MFH:		2018Q4

Changes:
  head/news/nzbget/Makefile
  head/news/nzbget/distinfo
  head/news/nzbget/files/extra-disable-optimized-flags.patch
  head/news/nzbget/files/patch-configure.ac
  head/news/nzbget/pkg-plist
Comment 6 commit-hook freebsd_committer 2018-10-04 15:15:08 UTC
A commit references this bug:

Author: feld
Date: Thu Oct  4 15:14:53 UTC 2018
New revision: 481229
URL: https://svnweb.freebsd.org/changeset/ports/481229

Log:
  MFH: r481227

  news/nzbget: Update to 20.0

  - Add patches to disable building with optimized CFLAGS by default

  PR:		228888
  Approved by:	maintainer (timeout)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/news/nzbget/Makefile
  branches/2018Q4/news/nzbget/distinfo
  branches/2018Q4/news/nzbget/files/extra-disable-optimized-flags.patch
  branches/2018Q4/news/nzbget/files/patch-configure.ac
  branches/2018Q4/news/nzbget/pkg-plist